profound-logoProfound CMS
⌘K
Admin
Theme
DocsTutorialBlogPhilosophy
DocsTutorialBlogPhilosophy

Hybrid

Collection of Pages with ComponentsTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyCEL Scripting in Template BuilderProject ScaffoldingMedia Library

Headless

Quick startSplit Screen JSON Component Builder with LLMComponent Zod Pull

REST API

REST API 概要getウェブサイトを CMS API に接続するgetGET /routesgetGET /routegetGET /blocksgetGET /blocks/with-cel-cachegetGET /blocks/generatedgetGET /componentsgetGET /components/{name}getGET /dataset/{schema_name}getGET /content-changes (SSE)patchPATCH /dataset/{schema_name}postPOST /translationpatchPATCH /translationsgetGET /usagepostCSV 投稿patchPATCH /csv
All Systems Operational
Powered Byprofound-logo
Theme

GET /components/{name}

名前を指定して単一のカスタムコンポーネントの完全なフィールド定義を取得します。

名前を指定して単一のカスタムコンポーネントの完全な定義(フィールド一覧を含む)を取得します。

認証: API キー(x-api-key ヘッダーまたは api_key クエリパラメーター)。

パスパラメーター

パラメーター型必須備考
namestringはいスキーマ名。例: post。

クエリパラメーター

パラメーター型必須備考
websiteIduuidはい有効な UUID である必要があります。
api_keystringいいえx-api-key ヘッダーの代替手段。

レスポンス

{
  "id": "...",
  "name": "post",
  "displayName": "投稿",
  "description": "ドキュメント用の投稿",
  "category": "Custom",
  "titleField": "title",
  "routeSlugField": "title",
  "icon": null,
  "fields": [
    { "name": "title", "type": "string", "required": true }
  ],
  "slugFields": ["title", "description"],
  "version": 8
}

slugFields は計算結果であり、すべての文字列型フィールドの名前です。

例

curl '{CMS_API_URL}/components/post?websiteId=<uuid>' \
  -H 'x-api-key: <key>'

エラー

  • 400 — websiteId がないか無効です
  • 401 — 無効な API キー
  • 404 — スキーマが見つかりません
Continue Reading
Previous‹GET /componentsNextGET /dataset/{schema_name}›